(1926-2019) Smith, who taught at the State University of New York at Potsdam for 36 years including three as department chair, died January 16 at the age of 92. He received his EdD from Columbia University and taught at Potsdam from 1959 until his retirement in 1995. Read more about his life in this obituary.